unit LongCoords;

{ Pascal interface to the WASTE text engine: }
{ Long Coordinates }
{ version 1.1 }

{ Copyright  1993-1996 Marco Piovanelli }
{ All Rights Reserved }

interface
	uses
		Types;

	type

{ long coordinates types }

		LongPt = record
				case Integer of
					0: (
							v: LongInt;
							h: LongInt;
					);
					1: (
{$IFC NOT UNDEFINED THINK_PASCAL}
							vh: array[VHSelect] of LongInt;
{$ELSEC}
							vh: array[0..1] of LongInt;
{$ENDC}
					);
			end;  { LongPt }

		LongRect = record
				case Integer of
					0: (
							top: LongInt;
							left: LongInt;
							bottom: LongInt;
							right: LongInt;
					);
					1: (
							topLeft: LongPt;
							botRight: LongPt;
					);
			end;  { LongRect }

implementation
end.